GeoTIFFTagSet (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.imageio.plugins.tiff, class: GeoTIFFTagSet
Keywords: javax.imageio.plugins.tiff.GeoTIFFTagSet class

# Class GeoTIFFTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.GeoTIFFTagSet

public final class GeoTIFFTagSet extends TIFFTagSet
A class representing the tags found in a GeoTIFF IFD. GeoTIFF is a standard for annotating georeferenced or geocoded raster imagery. This class does not handle the GeoKeys referenced from a GeoKeyDirectoryTag as those are not TIFF tags per se.

The definitions of the data types referenced by the field definitions may be found in the `TIFFTag` class.

Since:
  9

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TAG_GEO_ASCII_PARAMS`
  A tag used to store all ASCII-values GeoKeys.
  `static final int`
  `TAG_GEO_DOUBLE_PARAMS`
  A tag used to store all `double`-values GeoKeys.
  `static final int`
  `TAG_GEO_KEY_DIRECTORY`
  A tag used to store the GeoKey directory.
  `static final int`
  `TAG_MODEL_PIXEL_SCALE`
  A tag used to specify the size of raster pixel spacing in model space units.
  `static final int`
  `TAG_MODEL_TIE_POINT`
  A tag used to store raster-to-model tiepoint pairs.
  `static final int`
  `TAG_MODEL_TRANSFORMATION`
  A tag used to specify the transformation matrix between the raster space and the model space.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GeoTIFFTagSet`
  `getInstance()`
  Returns a shared instance of a `GeoTIFFTagSet`.

  ### Methods declared in class TIFFTagSet

  `getTag, getTag, getTagNames, getTagNumbers`
  Modifier and Type
  Method
  Description
  `TIFFTag`
  `getTag(int tagNumber)`
  Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
  `TIFFTag`
  `getTag(String tagName)`
  Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
  `SortedSet<String>`
  `getTagNames()`
  Retrieves an unmodifiable lexicographically increasing set of tag names.
  `SortedSet<Integer>`
  `getTagNumbers()`
  Retrieves an unmodifiable numerically increasing set of tag numbers.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### TAG_MODEL_PIXEL_SCALE

    public static final int TAG_MODEL_PIXEL_SCALE
    A tag used to specify the size of raster pixel spacing in model space units.
    See Also:
      - Constant Field Values

  - ### TAG_MODEL_TRANSFORMATION

    public static final int TAG_MODEL_TRANSFORMATION
    A tag used to specify the transformation matrix between the raster space and the model space.
    See Also:
      - Constant Field Values

  - ### TAG_MODEL_TIE_POINT

    public static final int TAG_MODEL_TIE_POINT
    A tag used to store raster-to-model tiepoint pairs.
    See Also:
      - Constant Field Values

  - ### TAG_GEO_KEY_DIRECTORY

    public static final int TAG_GEO_KEY_DIRECTORY
    A tag used to store the GeoKey directory.
    See Also:
      - Constant Field Values

  - ### TAG_GEO_DOUBLE_PARAMS

    public static final int TAG_GEO_DOUBLE_PARAMS
    A tag used to store all `double`-values GeoKeys.
    See Also:
      - Constant Field Values

  - ### TAG_GEO_ASCII_PARAMS

    public static final int TAG_GEO_ASCII_PARAMS
    A tag used to store all ASCII-values GeoKeys.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static GeoTIFFTagSet getInstance()
    Returns a shared instance of a `GeoTIFFTagSet`.
    Returns:
      a `GeoTIFFTagSet` instance.